<div class="eh-mt-16 eh-w-100p eh-ofy-scroll eh-hide-scrollbars">
  <ng-container *ngIf="dispatchView; else dataAwaitedBlock">
    <div class="e-title">
      <mat-icon class="e-mat-icon e-mat-icon--3 eh-mr-8">medical_services</mat-icon>
      <span>Medical History & Lifestyle</span>
    </div>

    <div class="eh-mt-16" fxLayout="row">
      <div class="eh-txt-12 eh-ml-4 eh-txt-lh1_6" fxFlex="0 0 150px">Medical Conditions</div>
      <div class="eh-ml-8 e-txt e-txt--matamber600 eh-txt-breakword">
        <span *ngIf="healthHistory.medicalConditions.length === 0">-</span>
        <div *ngFor="let item of healthHistory.medicalConditions; last as isLast">
          <span *ngIf="!isLast">{{item}},&nbsp;</span>
          <span *ngIf="isLast">{{item}}</span>
        </div>
      </div>
    </div>

    <div class="eh-mt-16" fxLayout="row">
      <div class="eh-txt-12 eh-ml-4 eh-txt-lh1_6" fxFlex="0 0 150px">Other Medical Conditions</div>
      <div class="eh-ml-8 e-txt e-txt--matamber600 eh-txt-breakword">
        {{healthHistory.otherMedicalConditions || '-'}}
      </div>
    </div>

    <div class="eh-mt-16" fxLayout="row">
      <div class="eh-txt-12 eh-ml-4 eh-txt-lh1_6" fxFlex="0 0 150px">Are you taking any medication?</div>
      <div class="eh-ml-8 e-txt e-txt--matamber600" fxFlex="0 0 150px">
        {{healthHistory.onMedication ? 'Yes' : 'No'}}
      </div>
      <ng-container *ngIf="healthHistory.onMedication">
        <div class="eh-txt-12 eh-txt-lh1_6" fxFlex="0 0 80px">Details</div>
        <div class="e-txt e-txt--matamber600 eh-txt-breakword">
          {{healthHistory.medicationDesc || '-'}}
        </div>
      </ng-container>
    </div>

    <div *ngIf="me.personalDetails.gender === 'Female'" class="eh-mt-16" fxLayout="row">
      <div class="eh-txt-12 eh-ml-4 eh-txt-lh1_6">
        Do you consider your menstrual cycle regular?
      </div>
      <div class="eh-ml-8 e-txt e-txt--matamber600">
        <ng-container *ngIf="healthHistory.isMCycleRegular === true">Yes</ng-container>
        <ng-container *ngIf="healthHistory.isMCycleRegular === false">No</ng-container>
        <ng-container *ngIf="healthHistory.isMCycleRegular === null">-</ng-container>
      </div>

    </div>

    <div *ngIf="me.personalDetails.gender === 'Female'" class="eh-mt-16" fxLayout="row">

      <div class="eh-txt-12 eh-ml-4  eh-txt-lh1_6 " fxFlex="0 0 150px">Details</div>
      <div class="e-txt eh-ml-8 e-txt--matamber600 eh-txt-breakword">
        <ng-container *ngIf="healthHistory.isMCycleRegular === false">
          {{healthHistory.mCycleDesc}}
        </ng-container>
        <ng-container *ngIf="healthHistory.isMCycleRegular === true || healthHistory.isMCycleRegular === null">
          -
        </ng-container>
      </div>
    </div>

    <mat-divider class="e-mat-divider eh-mt-16"></mat-divider>


    <div class="eh-mt-16" fxLayout="row">
      <div class="eh-txt-12 eh-ml-4 eh-txt-lh1_6" fxFlex="0 0 150px">Do you drink alcohol?</div>
      <div class="eh-ml-8 e-txt e-txt--matamber600" fxFlex="0 0 150px">
        {{healthHistory.doesAlcohol ? 'Yes' : 'No'}}
      </div>
      <ng-container *ngIf="healthHistory.doesAlcohol">
        <div class="eh-txt-12 eh-txt-lh1_6" fxFlex="0 0 80px">Details</div>
        <div class="e-txt e-txt--matamber600 eh-txt-breakword">{{ healthHistory.alcoholDesc }}</div>
      </ng-container>
    </div>

    <div class="eh-mt-16" fxLayout="row">
      <div class="eh-txt-12 eh-ml-4 eh-txt-lh1_6" fxFlex="0 0 150px">Do you smoke?</div>
      <div class="eh-ml-8 e-txt e-txt--matamber600" fxFlex="0 0 150px">
        {{healthHistory.doesSmoking ? 'Yes' : 'No'}}
      </div>
      <ng-container *ngIf="healthHistory.doesSmoking">
        <div class="eh-txt-12 eh-txt-lh1_6" fxFlex="0 0 80px">Details</div>
        <div class="e-txt e-txt--matamber600 eh-txt-breakword">{{ healthHistory.smokingDesc }}</div>
      </ng-container>
    </div>

    <div class="eh-mt-16" fxLayout="row">
      <div class="eh-txt-12 eh-ml-4 eh-txt-lh1_6" fxFlex="0 0 150px">Do you chew tobacco?</div>
      <div class="eh-ml-8 e-txt e-txt--matamber600" fxFlex="0 0 150px">
        {{healthHistory.doesTobacco ? 'Yes' : 'No'}}
      </div>
      <ng-container *ngIf="healthHistory.doesTobacco">
        <div class="eh-txt-12 eh-txt-lh1_6" fxFlex="0 0 80px">Details</div>
        <div class="e-txt e-txt--matamber600 eh-txt-breakword">{{ healthHistory.tobaccoDesc }}</div>
      </ng-container>
    </div>

    <div class="e-title eh-mt-24">
      <mat-icon class="e-mat-icon e-mat-icon--3 eh-mr-8">directions_run</mat-icon>
      <span>Exercise</span>
    </div>

    <div class="eh-mt-16" fxLayout="row">
      <div class="eh-txt-12 eh-ml-4 eh-txt-lh1_6" fxFlex="0 0 150px">Do you exercise regularly?</div>
      <div class="eh-ml-8 e-txt e-txt--matamber600">
        {{healthHistory.doesExercise ? 'Yes' : 'No'}}
      </div>
    </div>

    <ng-container *ngIf="healthHistory.doesExercise">
      <div class="eh-mt-16 eh-ml-4" fxLayout="row">
        <div class="eh-txt-12 e-brd e-brd--bottom eh-txt-italic" fxFlex="0 0 25%">Type of Exercise/Activity</div>
        <div class="eh-txt-12 e-brd e-brd--bottom eh-txt-italic" fxFlex="0 0 25%">Days per Week</div>
        <div class="eh-txt-12 e-brd e-brd--bottom eh-txt-italic" fxFlex="0 0 25%">Duration (minutes)</div>
        <div class="eh-txt-12 e-brd e-brd--bottom eh-txt-italic" fxFlex="0 0 25%">Intensity</div>
      </div>

      <div *ngFor="let item of healthHistory.exerciseDesc" class="eh-mt-16 eh-ml-4" fxLayout="row">
        <div class="eh-txt-breakword" fxFlex="0 0 25%">{{ item.name || '-' }}</div>
        <div class="e-txt e-txt--matamber600 eh-txt-breakword" fxFlex="0 0 25%">{{ item.daysPerWeek || '-' }}</div>
        <div class="e-txt e-txt--matamber600" fxFlex="0 0 25%">{{ item.duration || '-' }}</div>
        <div class="e-txt e-txt--matamber600" fxFlex="0 0 25%">{{ item.intensity || '-' }}</div>
      </div>
    </ng-container>

    <div class="e-title eh-mt-24">
      <mat-icon class="e-mat-icon e-mat-icon--3 eh-mr-8">monitor_weight</mat-icon>
      <span>Weight History</span>
    </div>

    <div class="eh-mt-16" fxLayout="row">
      <div class="eh-txt-12 eh-ml-4 eh-txt-lh1_6" fxFlex="0 0 150px">Have you tried to lose weight before?</div>
      <div class="eh-ml-8 e-txt e-txt--matamber600" fxFlex="0 0 150px">
        {{ healthHistory.triedLosingWeight ? 'Yes' : 'No' }}
      </div>
      <ng-container *ngIf="healthHistory.triedLosingWeight">
        <div class="eh-txt-12 eh-txt-lh1_6" fxFlex="0 0 80px">Details</div>
        <div class="e-txt e-txt--matamber600 eh-txt-breakword">
          <span *ngIf="healthHistory.weightLossTypes.length === 0">-</span>
          <div *ngFor="let item of healthHistory.weightLossTypes; last as isLast">
            <span *ngIf="!isLast">{{item}},&nbsp;</span>
            <span *ngIf="isLast">{{item}}</span>
          </div>
        </div>
      </ng-container>
    </div>
    <ng-container *ngIf="me.personalDetails.category === userCategories.SPORTS_NUTRITION">
      <div class="e-title eh-mt-24">
        <mat-icon class="e-mat-icon e-mat-icon--3 eh-mr-8">sports_cricket</mat-icon>
        <span>Sports</span>
      </div>

      <div class="eh-mt-16" fxLayout="row">
        <div class="eh-txt-12 eh-ml-4 eh-txt-lh1_6" fxFlex="0 0 150px">Which sport do you play?</div>
        <div class="eh-ml-8 e-txt e-txt--matamber600 eh-txt-breakword">
          {{ healthHistory.sportName || '-' }}
        </div>
      </div>
      <div class="eh-mt-16" fxLayout="row">
        <div class="eh-txt-12 eh-ml-4 eh-txt-lh1_6" fxFlex="0 0 150px">Any sports injury?</div>
        <div class="eh-ml-8 e-txt e-txt--matamber600 eh-txt-breakword">
          {{ healthHistory.sportInjury || '-' }}
        </div>
      </div>
      <div class="eh-mt-16" fxLayout="row">
        <div class="eh-txt-12 eh-ml-4 eh-txt-lh1_6" fxFlex="0 0 150px">Any other specific concerns?</div>
        <div class="eh-ml-8 e-txt e-txt--matamber600 eh-txt-breakword">
          {{ healthHistory.sportConcerns || '-' }}
        </div>
      </div>
    </ng-container>
    <div class="e-title eh-mt-24">
      <mat-icon class="e-mat-icon e-mat-icon--3 eh-mr-8">restaurant</mat-icon>
      <span>Nutrition</span>
    </div>
    <div class="eh-mt-16" fxLayout="row">
      <div class="eh-txt-12 eh-ml-4 eh-txt-lh1_6" fxFlex="0 0 150px">Choice of diet</div>
      <div class="eh-ml-8 e-txt e-txt--matamber600 eh-txt-breakword">{{ healthHistory.mealCategory || '-' }}</div>
    </div>
    <div class="eh-mt-16" fxLayout="row">
      <div class="eh-txt-12 eh-ml-4 eh-txt-lh1_6" fxFlex="0 0 150px">Eating Habits</div>
      <div class="eh-ml-8 e-txt e-txt--matamber600 eh-txt-breakword">{{ healthHistory.eatingHabits || '-' }}</div>
    </div>
    <div class="eh-mt-16" fxLayout="row">
      <div class="eh-txt-12 eh-ml-4 eh-txt-lh1_6" fxFlex="0 0 150px">
        Do you take any vitamins or dietary supplements?
      </div>
      <div fxFlex="0 0 150px" class="eh-ml-8 e-txt e-txt--matamber600">
        {{ healthHistory.onSupplements ? 'Yes' : 'No' }}
      </div>
      <ng-container *ngIf="healthHistory.onSupplements">
        <div class="eh-txt-12 eh-txt-lh1_6" fxFlex="0 0 80px">Details</div>
        <div class="e-txt e-txt--matamber600 eh-txt-breakword">{{ healthHistory.supplementsDesc }}</div>
      </ng-container>
    </div>
    <div class="e-title eh-mt-24">
      <mat-icon class="e-mat-icon e-mat-icon--3 eh-mr-8">reorder</mat-icon>
      <span>General</span>
    </div>
    <div class="eh-txt-12 eh-ml-4 eh-mt-16">
      Do you have any other concerns or issues related to your health and diet which are not been covered in this
      questionnaire?
    </div>
    <div class="eh-mt-8 eh-ml-4 e-txt e-txt--matamber600 eh-txt-prewrap"
      [innerHTML]="healthHistory.hasOtherConcerns ? '[Yes]' : '-'">
    </div>
    <div *ngIf="healthHistory.hasOtherConcerns"
      class="eh-ml-4 eh-mt-4 eh-pb-4 e-brd e-brd--bottom e-txt e-txt--matamber600 eh-txt-prewrap"
      [innerHTML]="healthHistory.otherConcernsDesc">
    </div>

    <div class="eh-txt-12 eh-ml-4 eh-mt-16">
      Typical Day's Routine specific to Food Intake & Exercise Schedule
    </div>
    <div
      class="eh-mt-8 eh-ml-4 eh-pb-4 e-brd e-brd--bottom  e-brd e-brd--bottom e-txt e-txt--matamber600 eh-txt-prewrap"
      [innerHTML]="healthHistory.typicalDayRoutine || '-'">
    </div>
    <div class="eh-pt-16"></div>
  </ng-container>
</div>
<ng-template #dataAwaitedBlock>
  <div class="e-spinner e-spinner--center eh-h-100v eh-h-100p">
    <mat-spinner [diameter]="30" [strokeWidth]="3"></mat-spinner>
  </div>
</ng-template>